<?php
require("./total.inc");

session_start();
require("./ninsyou.inc");
if(0 > ninsyou_check(3)){
   exit;
   }



echo "<!DOCTYP:pserver:cvs@dhcvs.ms-n.com:/usr/home/cvsE HTML PUBLIC '-//W3C//DTD HTML 4.01 Transitional//EN'>";
echo "<HTML>";
echo "<HEAD>";
echo "<META name='GENERATOR' content='AmBuilder'>";
echo "<META http-equiv='Content-Type' content='text/html; charset=euc-jp'>";
	echo "<title>zither monitorring save info</title>";

echo "<SCRIPT LANGUAGE='JavaScript'>";
echo "<!--

function WinCls(){
        window.close()
                       }
// window.onload=WinCls();
//-->";
echo "</SCRIPT>";

echo "</head>";
echo "<body alink='#ff0000' bgcolor='#ffffff' link='#0000ff' text='#000000' vlink='#000080'>";

echo "<pre>";

$BNAME = enco($_GET["BNAME"]);
$CNAME = enco($_GET["CNAME"]);
$GEN = enco($_GET["GEN"]);

print($version_name);
print("\n");
print(date("Y m d g i s A"));
print("\n");


$conn = db_connect();
if(!$conn){
   echo "not connection!<br>";
   exit;
   }


if(0 == strlen($BNAME)){
   print("NG NOT block name");
   exit;
   }

if(0 == strlen($CNAME)){
   print("NG NOT client name");
   exit;
   }
else{
   $result=db_query($conn, "select * from connection where cname='$CNAME'");
   if(!$result){
      print("bud query set\n");
      exit;
      }
   $num = db_num_rows($result);
   if($num <= 0){
      print("NG 移動先クライアントが存在しません\n");
      exit;
      }

   $result=db_query($conn, "select * from userblock where bname='$BNAME'");
   if(!$result){
      print("NG bud query set\n");
      exit;
      }
   $num = db_num_rows($result);
   if($num > 0){
       $CNAMEDEF = enco_rtrim(db_fetch_Result($result, $s, cname));
       print("OK 移動元ブロックが現在登録されているクライアントは $CNAMEDEF です\n");
       }
   else{
      print("NG 移動元ブロックから監視クライアントが判断出来ません？");
      exit;
      }

   $result = db_query($conn, "update userblock set
     cname='$CNAME' where bname='$BNAME'");
   print("監視ブロックの設定を変更ちゅうです\n");
   $num = db_num_rows($result);
   if($num < 0){
      print("NG 監視ブロックの設定が変更出来ていません\n");
      exit;
      }

   $result = db_query($conn, "update monitor set
     cname='$CNAME' where free4='$BNAME'");
   print("監視設定を変更ちゅうです\n");
   $num = db_num_rows($result);
   if($num < 0){
      print("NG 監視設定が変更出来ていません\n");
      exit;
      }

   }


print("OK DBの変更は完了しました\n");
printf("ファイルへ反映しています\n");

// --- list file upload --- // 

list_file_upload($CNAMEDEF, $GEN);
list_file_upload($CNAME, $GEN);



db_free_result($result);
db_Close($conn);

?>

</pre>
</body>
</html>

